import 'package:linkv_rtc/linkv_api_defines.dart';

class LinkVVideoCallback {
  void onDrawFrame(int i, int i1, int i2, String s, String s1) {} // 暂无
  /// 有成员加入的通知
  /// @param user 成员列表
  void onAddRemoter(LVUser lvUser) {}
  /// 有成员离开的通知
  /// @param uid 离开用户 ID
  void onDeleteRemoter(String uid) {}
  /// 用户被踢出房间
  /// @param reason 被踢原因
  /// @param roomId 房间号
  void onKickOff(int reason, String roomId) {}
  /// 房间断开的通知，网络异常时 SDK 会自动进行重连，90 秒如果重连失败会触发该方法回调
  /// @param code 错误码
  void onRoomDisconnect(int code) {}
  /// 房间重连成功通知，SDK 在网络断开和恢复时会自动进行重连，重连结果通过该回调通知 APP
  void onRoomReconnect() {}
  /// 远端混流完成的回调，用户可以通过调用混乱方法在远端进行音视频混流，参考 mixStream
  /// @param b 混流结果
  void onMixComplete(bool b) {}
  /// 发布资源质量状态变化的通知，SDK 内部会定时统计推流的质量信息，APP 可以实现该方法获取推流的视频质量信息统计，回调的频率可以通过 +setPublishQualityMonitorCycle 进行设置
  /// @param lvVideoStatistic 质量信息
  void onPublishQualityUpdate(LVVideoStatistic lvVideoStatistic) {}
  /// 发布资源状态变更的通知，调用 startPublishing 之后会触发该方法回调，发布资源状态的变更会通过该方法进行通知
  /// @param code 状态码
  void onPublishStateUpdate(int code) {}
  /// 播放质量变化的通知，SDK 内部会定时统计拉流质量信息，APP 可以实现该方法获取拉流的视频质量信息统计，回调的频率可以通过 +setPlayQualityMonitorCycle 进行设置
  /// @param lvVideoStatistic 质量信息
  /// @param uid 用户 ID
  void onPlayQualityUpdate(LVVideoStatistic lvVideoStatistic, String uid) {}
  /// 播放状态变化的通知，调用 startPlayingStream: 方法之后，播放状态的变更会通过该方法进行通知
  /// @param code 状态码
  /// @param uid 用户 ID
  void onPlayStateUpdate(int code, String uid) {}
  /// 退出房间完成，异常退出和用户主动调用 logoutRoom 方法会触发该回调方法
  void onExitRoomComplete() {}
}